log Lib/email/utils.py @ 79691:05c8928362ee

age author description
Sat, 22 Sep 2012 09:59:51 -0400 R David Murray #15925: fix regression: return None for null and non-date strings.
Wed, 22 Aug 2012 23:02:36 -0400 Alexander Belopolsky Issue #665194: Added a small optimization
Wed, 22 Aug 2012 21:52:31 -0400 R David Murray #665194: fix variable name in exception code path.
Wed, 22 Aug 2012 21:34:00 -0400 R David Murray #665194: Update email.utils.localtime to use astimezone, and fix bug.
Fri, 25 May 2012 23:22:59 -0400 R David Murray #665194: Add a localtime function to email.utils.
Fri, 25 May 2012 18:42:14 -0400 R David Murray #12586: add provisional email policy with new header parsing and folding.
Fri, 25 May 2012 15:01:48 -0400 R David Murray #14731: refactor email policy framework.
Wed, 14 Mar 2012 15:31:47 -0400 R David Murray #12818: remove escaping of () in quoted strings in formataddr
Wed, 20 Jul 2011 11:41:21 -0400 R David Murray #665194: support roundtripping RFC2822 date stamps in the email.utils module
Wed, 06 Apr 2011 09:35:57 -0400 R David Murray #1690608: make formataddr RFC2047 aware.
Thu, 02 Dec 2010 21:47:19 +0000 R. David Murray #8989: add 'domain' keyword to make_msgid.
Sat, 09 Jan 2010 18:45:30 +0000 Benjamin Peterson Merged revisions 77209,77229,77359-77360,77371 via svnmerge from
Wed, 25 Nov 2009 18:45:04 +0000 Barry Warsaw Add mktime_tz to __all__. It's documented as being available in email.utils. 3.1
Tue, 19 Aug 2008 17:56:33 +0000 Antoine Pitrou #2834: Change re module semantics, so that str and bytes mixing is forbidden,
Mon, 18 Aug 2008 21:44:30 +0000 Guido van Rossum - Issue #3300: make urllib.parse.[un]quote() default to UTF-8.
Wed, 18 Jun 2008 20:49:58 +0000 Jeremy Hylton Make a new urllib package .
Thu, 12 Jun 2008 04:06:45 +0000 Barry Warsaw Patch for issue 2848, mostly by Humberto Diogenes, with a couple of
Fri, 31 Aug 2007 03:04:26 +0000 Barry Warsaw More email package fixes.
Thu, 30 Aug 2007 03:46:43 +0000 Guido van Rossum Oops. I copied a slightly older version of the email package from the sandbox.
Thu, 30 Aug 2007 01:15:14 +0000 Guido van Rossum Copying the email package back, despite its failings.
Fri, 21 Sep 2012 16:27:45 +0300 Ezio Melotti #15980: properly escape newlines in docstrings. Patch by Serhiy Storchaka. 2.7
Mon, 08 Mar 2010 02:04:06 +0000 R. David Murray Issue #7143: get_payload used to strip any trailing newline from a legacy-trunk
Sun, 21 Mar 2010 19:16:28 +0000 Georg Brandl Merged revisions 77120,77151,77155,77209,77229,77256,77317,77331,77333,77359-77360,77382,77561,77570 via svnmerge from 2.6
Wed, 25 Nov 2009 18:38:24 +0000 Barry Warsaw Add mktime_tz to __all__. It's documented as being available in email.utils. 2.6
Sat, 23 Feb 2008 17:40:11 +0000 Christian Heimes Patch #2167 from calvin: Remove unused imports legacy-trunk
Wed, 04 Oct 2006 02:06:36 +0000 Barry Warsaw decode_rfc2231(): As Christian Robottom Reis points out, it makes no sense to legacy-trunk
Fri, 21 Jul 2006 14:51:07 +0000 Barry Warsaw More RFC 2231 improvements for the email 4.0 package. As Mark Sapiro rightly legacy-trunk
Mon, 17 Jul 2006 23:07:51 +0000 Barry Warsaw decode_rfc2231(): Be more robust against buggy RFC 2231 encodings. legacy-trunk
Thu, 09 Aug 2007 01:03:29 +0000 Guido van Rossum SF patch# 1770008 by Christian Heimes (plus some extras).
Wed, 02 May 2007 19:09:54 +0000 Guido van Rossum Rip out all the u"..." literals and calls to unicode().
Wed, 13 Dec 2006 04:49:30 +0000 Thomas Wouters Four months of trunk changes (including a few releases...)
Fri, 11 Aug 2006 14:57:12 +0000 Thomas Wouters Merged revisions 46753-51188 via svnmerge from
Sat, 18 Mar 2006 15:41:53 +0000 Barry Warsaw Merge email package 4.0 from the sandbox, including documentation, test cases, legacy-trunk